Package org.silverpeas.mobile.client.components.base.events.page

## Interface PageEventHandler

- All Superinterfaces:
    `com.google.gwt.event.shared.EventHandler`
  All Known Implementing Classes:
    `AgendaPage`, `BlogPage`, `ClassifiedPage`, `ClassifiedsPage`, `CommentEditPage`, `CommentsPage`, `ConfigPage`, `ConnexionPage`, `ContactsPage`, `CookiesPage`, `EditEventPage`, `EventPage`, `FaqPage`, `FavoritesPage`, `FormOnlineEditPage`, `FormOnlineRequestsPage`, `FormOnlineViewPage`, `FormsOnlineAsReceiverPage`, `FormsOnlinePage`, `GedNavigationPage`, `HomePage`, `IframePage`, `MediaNavigationPage`, `MessagePage`, `NavigationMenu`, `NavigationPage`, `NewsEditPage`, `NewsPage`, `NotificationPage`, `NotificationsBoxPage`, `NotificationSenderPage`, `PageContent`, `PhotoPage`, `PhotoViewerPage`, `ProfilePage`, `PublicationPage`, `RepliesPage`, `ReservationDetailPage`, `ReservationPage`, `ReservationSelectionPage`, `ResourcesManagerPage`, `SearchResultPage`, `SharesBoxPage`, `SharingPage`, `SoundPage`, `SurveyPage`, `SurveysPage`, `TaskPage`, `TasksPage`, `TermsOfServicePage`, `TwoFactorPage`, `UserSelectionPage`, `VideoPage`, `VideoStreamingPage`, `WorkflowActionFormPage`, `WorkflowPage`, `WorkflowPresentationPage`

      public interface PageEventHandler
      extends com.google.gwt.event.shared.EventHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finishLoadingData​(LoadingDataFinishEvent loadingDataFinishEvent)` |
    `void` | `loadedDataEvent​(DataLoadedEvent dataLoadedEvent)` |
    `void` | `loadedMoreDataEvent​(MoreDataLoadedEvent moreDataLoadedEvent)` |
    `void` | `receiveEvent​(PageEvent event)` |

- - ### Method Detail

    - #### receiveEvent

          void receiveEvent​(PageEvent event)

    - #### finishLoadingData

          void finishLoadingData​(LoadingDataFinishEvent loadingDataFinishEvent)

    - #### loadedDataEvent

          void loadedDataEvent​(DataLoadedEvent dataLoadedEvent)

    - #### loadedMoreDataEvent

          void loadedMoreDataEvent​(MoreDataLoadedEvent moreDataLoadedEvent)